body,
.editor-styles-wrapper {
  background-color: var(--wp--preset--color--dark-teal);
  color: var(--wp--preset--color--white);
}
.editor-styles-wrapper h1.wp-block-post-title {
  color: white !important;
}

.wp-block-image img {
  /* WP 6.3 doesn't let this work with "defined" image sizes now */
  height: auto !important;
}


@media (max-width: 960px) {
  /* TODO: add into parent theme */
  .mobile-justify-space-between {
    justify-content: space-between !important;
  }
}

/* better default to use? */
.wp-block-gallery.has-nested-images figure.wp-block-image {
  flex-grow: 0;
}

/* elements that are first remove the owl selector -- talk to visbility selector plugin dev */
.remove-top-margin {
  margin-top: 0 !important;
}

/* smooth scroll */
html{
  scroll-behavior: smooth;
}

/* TODO: parent theme default? */
.wp-element-button > * {
  vertical-align: middle;
}


/* TODO: remove from parent */
header .wp-block-navigation {
  order: unset;
}
.equal-height-cols>.wp-block-column {
  max-width: none;
}

/* block social lacks this option */
.wp-block-social-links svg:hover {
  color: var(--wp--preset--color--orange) !important;
}


div h2 a:focus,
div h2 a:hover,
div h3 a:focus,
div h3 a:hover {
  color: var(--wp--preset--color--orange) !important;
}



/* customize */

h1:not([class*='wp-block']),
h2:not([class*='wp-block']),
h3:not([class*='wp-block']) {
  margin-top: 0; /* WC non-block items */
}


/* parent theme override */
.wp-site-blocks .wp-block-group .wp-block-button__link:focus,
.wp-site-blocks .wp-block-group .wp-block-button__link:hover,
.wp-site-blocks .wp-block-group .wp-block-button__link:active {
  background: var(--wp--preset--color--white) !important;
  color: var(--wp--preset--color--beige) !important;
  border-color: var(--wp--preset--color--white) !important;
}
.wp-site-blocks .wp-block-group .wp-block-button__link:focus img,
.wp-site-blocks .wp-block-group .wp-block-button__link:hover img,
.wp-site-blocks .wp-block-group .wp-block-button__link:active img {
  filter: brightness(100);
}


/*--- Gravity Forms customization ---*/



.gform_footer input[type=submit]{
  background-color: var(--wp--preset--color--black)!important;
  font-weight: 700;
  font-size: var(--wp--preset--font-size--medium)!important;
  padding: .6em 1.7em!important;
  border-radius: 5px!important;
}
.gform_footer input[type=submit]:hover {
  /* Limitation: Can't change this via editor yet */
  background: var(--wp--preset--color--green)!important;
}

.gfield textarea.small{
  min-height: 80px!important;
  height: 80px;
}

.gfield input, .gfield select, .gfield textarea {
  background-color: rgba(255,255,255,.6)!important;
  border: none!important;
  color: var(--wp--preset--color--black)!important;
  transition: all .35s ease-out;
}

.gfield input:hover, .gfield select:hover, .gfield textarea:hover,
 .gfield input:focus, .gfield select:focus, .gfield textarea:focus{
   background-color: rgba(255,255,255,1)!important;
 }

.gform_fields{
  grid-row-gap: 20px!important;
}

.gform-theme--framework {
  --gf-ctrl-font-size: 16px !important;
}


/* hero form styles */
#form .gfield input,#form .gfield select,#form .gfield textarea {
  border: none!important;
  border-bottom: 2px solid var(--wp--preset--color--black)!important;
  border-radius: 0!important;
  color: black!important;
  padding: 1.5em 0!important;
  box-shadow: none!important;
  position: relative!important;
  background-color: var(--wp--preset--color--white)!important;
}
#form .gfield input:hover,#form .gfield select:hover,#form .gfield textarea:hover,
#form .gfield input:focus,#form .gfield select:focus,#form .gfield textarea:focus{
  background-color: #f4f4f4!important;
  border-top-left-radius: 5px!important;
  border-top-right-radius: 5px!important;
  padding-left: 1em!important;
}







/* Gutenberg missing features */



/* classes to use (that aren't BlockStyles) */
h1 span{
  text-decoration: var(--wp--preset--color--light-green) solid underline!important;
}

.reason{
  -webkit-box-shadow: 6px 8px 10px 0px rgba(0,0,0,0.05);
-moz-box-shadow: 6px 8px 10px 0px rgba(0,0,0,0.05);
box-shadow: 6px 8px 10px 0px rgba(0,0,0,0.05);
padding: 3rem 1rem!important;
transition: all .35s ease-out;
}
.reason:hover{
background-color: rgba(220, 220, 220, .2);
}

.tree-lg, .tree-sm{
  position: absolute;
  height: 100%!important;
  bottom: 0; left: 50%;
  z-index: 0;
  opacity: .5;
}

.tree-lg{
  transform: translate(75%, 60px);
}
.tree-sm{
  height: 35%!important;
  transform: translate(0%, 0px);
}

@media (max-width:781px) {
  .tree-lg, .tree-sm{
    opacity: .5;
  }
}

/* mobile */
@media (max-width: 781px) {
  
}





/* BlockStyle Variations to use (see functions.php) */
/* .is-style- <name>*/
.is-style-no-padding{
  padding: 0!important;
}
.is-style-no-v-padding{
  padding-top: 0!important;
  padding-bottom: 0!important;
}
.is-style-no-h-padding{
  padding-left: 0!important;
  padding-right: 0!important;
}

.is-style-image-left .wp-block-columns,
.is-style-image-right .wp-block-columns{gap: 0;}

.is-style-image-left .wp-block-cover,
.is-style-image-right .wp-block-cover{
  height: 100%; width: 50%;
  position: absolute;
  top: 0;
}

.is-style-image-left .wp-block-cover{left:0}
.is-style-image-right .wp-block-cover{right: 0;}


@media (max-width: 781px) {
  .is-style-image-left .wp-block-cover,
  .is-style-image-right .wp-block-cover{
    position: relative!important;
    width: 100%!important;
  }

  .is-style-image-right .wp-block-columns{
    flex-direction: column-reverse;
  }
}

/* Custom Block Overrides */
/* -none- */


/* Custom Shortcodes Overrides */
